MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- File List
- Globals

Data Structures | Namespaces | Typedefs
MyGUI_XmlDocument.h File Reference
`#include "MyGUI_Prerequest.h"`
`#include "MyGUI_UString.h"`
`#include "MyGUI_Diagnostic.h"`
`#include "MyGUI_DataStream.h"`
`#include <vector>`
`#include <string>`
`#include <iostream>`
`#include <fstream>`
`#include <sstream>`
`#include <assert.h>`

Go to the source code of this file.

## Data Structures
struct | MyGUI::xml::ElementType
struct | MyGUI::xml::ErrorType
class | MyGUI::xml::ElementEnumerator
class | MyGUI::xml::Element
class | MyGUI::xml::Document

## Namespaces
| MyGUI
| MyGUI::xml

## Typedefs
typedef Element * | MyGUI::xml::ElementPtr
typedef std::pair< std::string, std::string > | MyGUI::xml::PairAttribute
typedef std::vector< PairAttribute > | MyGUI::xml::VectorAttributes
typedef std::vector< ElementPtr > | MyGUI::xml::VectorElement
typedef ElementEnumerator | MyGUI::xml::xmlNodeIterator
typedef ElementPtr | MyGUI::xml::xmlNodePtr
typedef Document | MyGUI::xml::xmlDocument